import os
from Crypto.Cipher import AES
from model import *
import elixir.ext.encrypted

setup_all()
def encrypt_value_aes(value, secret):
    iv = os.urandom(AES.block_size)
    pad_len = AES.block_size - len(value) % AES.block_size
    padded_value = value + pad_len * chr(pad_len)
    res = iv + AES.new(secret, AES.MODE_CBC, iv).encrypt(padded_value)
    return res.encode('string_escape')

users = User.query.all()
elixir.ext.encrypted.encrypt_value = encrypt_value_aes

# just to force all rows to be reencoded
for u in users:
    u.name = u.name

session.commit()

