from elixir import *
from elixir.ext.encrypted import acts_as_encrypted

metadata.bind = "sqlite:///checkfix.sqlite"
metadata.bind.echo = True

class User(Entity):
    name = Field(Unicode(30))
    ssn = Field(Integer)
    password = Field(UnicodeText)
    acts_as_encrypted(for_fields=['password'],
            with_secret="1234567890123456")

    def __repr__(self):
        return '<User "%s" (%s:%s)>' % (self.name, self.password, self.ssn)
