from Crypto.Cipher import AES
from model import *
import elixir.ext.encrypted

setup_all()

def decrypt_value_aes(value, secret):
    value = value.decode('string_escape')
    iv = value[:AES.block_size]
    encrypted = value[AES.block_size:]

    padded_value = AES.new(secret, AES.MODE_CBC, iv).decrypt(encrypted)
    pad_len = ord(padded_value[-1])
    assert pad_len >= 1 and pad_len <= AES.block_size
    return padded_value[:-pad_len]

elixir.ext.encrypted.decrypt_value = decrypt_value_aes


print User.query.all()
